<?php
class Module extends YuniccBaseClass
{
	public $render_template = "element.community.module";
	
	public $sTitle = "";
	public $sBody = "";
	public $sCustomClass = "";
	
	public function __construct($sTitle, $sBody, $sCustomClass = "")
	{
		$this->sTitle = $sTitle;
		$this->sBody = $sBody;
		if(!empty($sCustomClass))
		{
			$this->sCustomClass = " " . $sCustomClass;
		}
	}
	
	public function RenderTemplate()
	{
		return $this->DoRenderTemplate($this->render_template, array(
				'title'			=> $this->sTitle,
				'body'			=> $this->sBody,
				'custom-class'	=> $this->sCustomClass
		));
	}
}
?>
