<?php
class User extends YuniccDatabaseRecordClass
{
	public $fill_query = "SELECT * FROM users WHERE `Id` = '%d'";
	public $verify_query = "SELECT * FROM users WHERE `Id` = '%d'";
	public $render_template = "";
	
	public $prototype = array(
		'string' => array(
			'DisplayName'		=> "DisplayName",
			'Email'				=> "Username",
			'PasswordHash'		=> "Password",
			'Salt'				=> "Salt",
			'ActivationCode'	=> "ActivationCode",
			'RecoveryCode'		=> "RecoveryCode",
			'Signature'			=> "Signature"
		),
		'numeric' => array(
			'AccountStatus'		=> "AccountStatus",
			'RecoveryStatus'	=> "RecoverStatus"
		),
		'timestamp' => array(
			'RegistrationDate'	=> "RegisterDate"
		)
	);
	
	public $prototype_render = array(
		'id'			=> "Id",
		'name'			=> "DisplayName",
		'rank'			=> "RankName",
		'rank-class'	=> "RankClassName"
	);
	
	public function AddMembership($sCommunityId, $sUsergroupId = 0)
	{
		
	}
	
	public function RenderTemplate($template, $sCommunityId = 0)
	{
		if($template == YUNICC_TEMPLATE_STAFF_OVERVIEW)
		{
			$this->render_template = "element.community.overview.staffmember";
		}
		else
		{
			throw new Exception("Template {$template} is not associated with this object.");
		}
		
		$this->sRankName = "Operator";
		$this->sRankClassName = "operator";
		return $this->DoRenderInternalTemplate();
	}
}
?>
