var lastKnownPage = "";

function trim(value) 
{
  value = value.replace(/(^s+|s+$)*/,'');
  return value;
}

function callPage(element)
{
	if(typeof(element) == "string")
	{
		var target = element;
	}
	else
	{
		var target = element.href;
	}
	
	$('#loader').show();
	$.get(target, function(data){
		if(trim(data) != "")
		{
			try
			{
				var jsondata = JSON.parse(data);
				$('#page').html(jsondata['html']);
				
				for(var i in jsondata['script'])
				{
					eval(jsondata['script'][i]);
				}
			}
			catch(err)
			{
				// Do absolutely nothing for now.
			}
			
			var current_page = /\/page\/[0-9]+(\/.*)/i.exec(target);
			
			if(current_page != null && current_page[1] != "/home")
			{
				window.location.hash = current_page[1];
			}
			else if(current_page[1] == "/home" && window.location.hash != "")
			{
				window.location.hash = "/home";
			}
		}
		lastKnownPage = window.location.hash;
		$('#loader').hide();
	})
	
	return false;
}

function monitorFragment()
{
	if(lastKnownPage != window.location.hash)
	{
		if(window.location.hash == "")
		{
			callPage("/data/page/" + community_id + "/home");
		}
		else if(window.location.hash.substring(0,2) == "#/")
		{
			callPage("/data/page/" + community_id + window.location.hash.substring(1));
		}
		else
		{
			lastKnownPage = window.location.hash;
		}
	}
}

$(function(){
	// DOM Initialization
	if((window.location.hash != "" && window.location.hash.substring(0,2) != "#/") || window.location.hash == "")
	{
		callPage("/data/page/" + community_id + "/home");
	}
	setInterval("monitorFragment();", 250);
});
