<?php
if(!isset($_YUNICC)) { die(); }  /* Protect from direct requests */

$template['page'] = new Templater();
$template['page']->Load("page.community.overview");
$template['page']->Localize($locale->strings);

// Community info overview
$template['module-overview'] = new Templater();
$template['module-overview']->Load("element.community.module.overview");
$template['module-overview']->Localize($locale->strings);
$template['module-overview']->Compile(array(
	'name'			=> $sCommunity->sName,
	'founder'		=> $sCommunity->sFounder->sDisplayName,
	'membercount'	=> $sCommunity->sMemberCount,
	'description'	=> $sCommunity->sDescription,
	'creation-date'	=> local_from_unix($sCommunity->sCreationDate, $locale->datetime_long)
));

$sModuleTitle = $locale->strings['community-title-overview'];
$sModuleBody = $template['module-overview']->Render();
$module['overview'] = new Module($sModuleTitle, $sModuleBody);

// Staff section
$template['module-staff'] = new Templater();
$template['module-staff']->Load("element.community.module.staff");
$template['module-staff']->Localize($locale->strings);

$sStaffMembers = "";

$query = "SELECT * FROM memberships WHERE `ClubId` = '{$sCommunityId}' AND (`UserGroup` = '1' OR `UserGroup` = '2') ORDER BY `UserGroup` ASC";
if($result = mysql_query_cached($query))
{
	foreach($result->data as $row)
	{
		$sUsergroupId = (is_numeric($row['UserGroup'])) ? $row['UserGroup'] : 0;
		$member = new User($row['UserId']);
		$member->AddMembership($sCommunityId, $sUsergroupId);
		$sStaffMembers .= $member->RenderTemplate(YUNICC_TEMPLATE_STAFF_OVERVIEW);
	}
}

$template['module-staff']->Compile(array(
	'users'	=> $sStaffMembers
));

$sModuleTitle = $locale->strings['community-title-staff'];
$sModuleBody = $template['module-staff']->Render();
$module['staff'] = new Module($sModuleTitle, $sModuleBody);

// Recent events section
$sEvents = "";

$query = "SELECT * FROM events WHERE `ClubId` = '{$sCommunityId}' ORDER BY `Date` DESC LIMIT 20";
if($result = mysql_query_cached($query))
{
	foreach($result->data as $row)
	{
		$event = new StreamEvent($row);
		$sEvents .= $event->RenderTemplate();
	}
}

$sModuleTitle = $locale->strings['community-title-recent'];
$sModuleBody = $sEvents;
$module['events'] = new Module($sModuleTitle, $sModuleBody, "no-padding");

$template['page']->Compile(array(
	'module-info'	=> $module['overview']->RenderTemplate(),
	'module-recent'	=> $module['events']->RenderTemplate(),
	'module-staff'	=> $module['staff']->RenderTemplate()
));

$uHtml = $template['page']->Render();
?>
